%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-hatch_vcs
Version:       0.4.0
Release:       1mamba
Summary:       Hatch plugin for versioning with your preferred VCS
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/ofek/hatch-vcs
Source:        https://pypi.debian.net/hatch-vcs/hatch_vcs-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
BuildRequires: python3.11dist(hatchling)
BuildRequires: python3.11dist(setuptools-scm)
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n hatch_vcs-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

%files %{?pyappend}
%defattr(-,root,root)
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%dir %{python_sitelib}/%{pkgname}
%{python_sitelib}/%{pkgname}/*

%changelog
* Mon Nov 06 2023 Automatic Build System <autodist@mambasoft.it> 0.4.0-1mamba
- automatic version update by autodist

* Wed Sep 27 2023 Automatic Build System <autodist@mambasoft.it> 0.3.0-2mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Sun Dec 11 2022 Automatic Build System <autodist@mambasoft.it> 0.3.0-1mamba
- automatic version update by autodist

* Fri Dec 09 2022 Automatic Build System <autodist@mambasoft.it> 0.2.1-1mamba
- automatic version update by autodist

* Sat Oct 08 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.0-1mamba
- package created using the webbuild interface
